---------------------
PatchSet 9991 
Date: 2007/09/21 18:54:57
Author: serassio
Branch: nt
Tag: (none) 
Log:
Added logfile-daemon to Visual Studio Project

Members: 
	port/win32/Makefile.am:1.1.14.10->1.1.14.11 
	port/win32/squid.dsw:1.1.38.11->1.1.38.12 
	port/win32/update.cmd:1.1.36.11->1.1.36.12 
	port/win32/logfiled/.cvsignore:1.1.2.2->1.1.2.3 
	port/win32/logfiled/logfiled.dsp:1.1.2.2->1.1.2.3 
	port/win32/squid/squid.dsp:1.1.38.6->1.1.38.7 

Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.14.10
retrieving revision 1.1.14.11
diff -u -r1.1.14.10 -r1.1.14.11
--- squid/port/win32/Makefile.am	13 Aug 2007 10:27:54 -0000	1.1.14.10
+++ squid/port/win32/Makefile.am	21 Sep 2007 18:54:57 -0000	1.1.14.11
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.14.10 2007/08/13 10:27:54 serassio Exp $
+# $Id: Makefile.am,v 1.1.14.11 2007/09/21 18:54:57 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -51,6 +51,7 @@
 	libsnmp/libsnmp.dsp \
 	libsspwin32/libsspwin32.dsp \
 	libufs/libufs.dsp \
+	logfiled/logfiled.dsp \
 	NCSA_auth/NCSA_auth.dsp \
 	negotiate_auth/negotiate_auth.dsp \
 	nt_auth/nt_auth.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.38.11
retrieving revision 1.1.38.12
diff -u -r1.1.38.11 -r1.1.38.12
--- squid/port/win32/squid.dsw	13 Aug 2007 11:41:01 -0000	1.1.38.11
+++ squid/port/win32/squid.dsw	21 Sep 2007 18:54:57 -0000	1.1.38.12
@@ -68,6 +68,9 @@
     Begin Project Dependency
     Project_Dep_Name digest_edir_auth
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name logfiled
+    End Project Dependency
 }}}
 
 ###############################################################################
@@ -531,6 +534,18 @@
 
 ###############################################################################
 
+Project: "logfiled"=".\logfiled\logfiled.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "modules"=".\modules.dsp" - Package Owner=<4>
 
 Package=<5>
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.36.11
retrieving revision 1.1.36.12
diff -u -r1.1.36.11 -r1.1.36.12
--- squid/port/win32/update.cmd	25 Sep 2006 20:18:20 -0000	1.1.36.11
+++ squid/port/win32/update.cmd	21 Sep 2007 18:54:57 -0000	1.1.36.12
@@ -12,6 +12,7 @@
 
 copy %0\..\squid\%1\squid.exe %2\sbin\squid.exe
 copy %0\..\unlinkd\%1\unlinkd.exe %2\libexec\unlinkd.exe
+copy %0\..\logfiled\%1\logfile-daemon.exe %2\libexec\logfile-daemon.exe
 if exist %0\..\dnsserver\%1\dnsserver.exe copy %0\..\dnsserver\%1\dnsserver.exe %2\libexec\dnsserver.exe
 if exist %0\..\pinger\%1\pinger.exe copy %0\..\pinger\%1\pinger.exe %2\libexec\pinger.exe
 copy %0\..\squidclient\%1\squidclient.exe %2\bin\squidclient.exe
--- /dev/null	Sat Sep 22 00:20:25 2007
+++ squid/port/win32/logfiled/.cvsignore	Sat Sep 22 00:20:25 2007
@@ -0,0 +1,2 @@
+Debug
+Release
--- /dev/null	Sat Sep 22 00:20:25 2007
+++ squid/port/win32/logfiled/logfiled.dsp	Sat Sep 22 00:20:25 2007
@@ -0,0 +1,110 @@
+# Microsoft Developer Studio Project File - Name="logfiled" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=logfiled - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "logfiled.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "logfiled.mak" CFG="logfiled - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "logfiled - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "logfiled - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "logfiled - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /machine:I386 /out:"Release/logfile-daemon.exe"
+
+!ELSEIF  "$(CFG)" == "logfiled - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/logfile-daemon.exe" /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "logfiled - Win32 Release"
+# Name "logfiled - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE="..\..\..\src\logfile-daemon.c"
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\include\config.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\defines.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
Index: squid/port/win32/squid/squid.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/squid/Attic/squid.dsp,v
retrieving revision 1.1.38.6
retrieving revision 1.1.38.7
diff -u -r1.1.38.6 -r1.1.38.7
--- squid/port/win32/squid/squid.dsp	28 Feb 2007 19:34:29 -0000	1.1.38.6
+++ squid/port/win32/squid/squid.dsp	21 Sep 2007 18:54:57 -0000	1.1.38.7
@@ -300,6 +300,18 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\..\src\logfile_mod_daemon.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\logfile_mod_stdio.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\logfile_mod_syslog.c
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\..\src\main.c
 # End Source File
 # Begin Source File
@@ -508,6 +520,18 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\..\src\logfile_mod_daemon.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\logfile_mod_stdio.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\logfile_mod_syslog.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\..\src\protos.h
 # End Source File
 # Begin Source File
